import os
import shutil
#Ищет в каталоге /var/data файл с наибольшим количеством строк и перекладывает его в /var/result/data.txt.

def find_file_with_most_lines(data_dir):
    max_lines = 0
    file_with_most_lines = None

    # Перебираем файлы в каталоге
    for filename in os.listdir(data_dir):
        file_path = os.path.join(data_dir, filename)

        # Проверяем, что это файл
        if os.path.isfile(file_path):
            with open(file_path, 'r') as file:
                line_count = sum(1 for _ in file)
                if line_count > max_lines:
                    max_lines = line_count
                    file_with_most_lines = file_path

    return file_with_most_lines


def copy_file_to_result(file_path, result_path):
    os.makedirs(os.path.dirname(result_path), exist_ok=True)
    shutil.copyfile(file_path, result_path)


if __name__ == "__main__":
    data_dir = "/var/data"
    result_file = "/var/result/data.txt"

    file_with_most_lines = find_file_with_most_lines(data_dir)
    if file_with_most_lines:
        copy_file_to_result(file_with_most_lines, result_file)
        print(f"Copied {file_with_most_lines} to {result_file}")
    else:
        print("No files found.")
